## org.eclipse.emf.validation.service
Enum ConstraintChangeEventType

    java.lang.Object
      java.lang.Enum<ConstraintChangeEventType>
          org.eclipse.emf.validation.service.ConstraintChangeEventType

All Implemented Interfaces:
  Serializable, Comparable<ConstraintChangeEventType>, Enumerator

    public enum ConstraintChangeEventType

extends Enum<ConstraintChangeEventType>
implements Enumerator

Enumeration for a constraint change event type.

Since:
  1.1

Enum Constant Summary
`ADDED_CATEGORY` Added category constraint change event type
`DISABLED` Disabled constraint change event type
`ENABLED` Enabled constraint change event type
`REGISTERED` Registered constraint change event type
`REMOVED_CATEGORY` Removed category constraint change event type
`UNREGISTERED` Unregistered constraint change event type

Method Summary
`String` `getLiteral()`
`String` `getName()`
`int` `getValue()`
`protected List<ConstraintChangeEventType>` `getValues()` Obtains the collection of predefined constraint change event types
`static ConstraintChangeEventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConstraintChangeEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REGISTERED

    public static final ConstraintChangeEventType REGISTERED

  Registered constraint change event type

### UNREGISTERED

    public static final ConstraintChangeEventType UNREGISTERED

  Unregistered constraint change event type

### ENABLED

    public static final ConstraintChangeEventType ENABLED

  Enabled constraint change event type

### DISABLED

    public static final ConstraintChangeEventType DISABLED

  Disabled constraint change event type

### ADDED_CATEGORY

    public static final ConstraintChangeEventType ADDED_CATEGORY

  Added category constraint change event type

### REMOVED_CATEGORY

    public static final ConstraintChangeEventType REMOVED_CATEGORY

  Removed category constraint change event type

Method Detail

### values

    public static final ConstraintChangeEventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConstraintChangeEventType c : ConstraintChangeEventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConstraintChangeEventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getValues

    protected List<ConstraintChangeEventType> getValues()

  Obtains the collection of predefined constraint change event types

  Returns:
    an unmodifiable collection of the event types

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Enumerator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.